<?php
//Custom Admin Area Settinngs
add_action('admin_menu', 'aa_admin_page');

function aa_admin_page() {
	add_options_page(__('Auto Attachments', 'autoa'), __('Auto Attachments', 'autoa'), '8', 'auto_attachments', 'aa_settings');
}
function aa_settings() {
	if (!current_user_can('manage_options'))  {
		wp_die( __('You do not have sufficient permissions to access this page.') );
	}
	global $aaopts, $_POST;
	$error_audio ="";
	$error_video ="";
// Check if values filled	
	//Audio Header Text
	$mp3fill = get_option('mp3_listen');
	if ($mp3fill == '') {$error_audio =  __('Please Fill Audio Header Text Area.', 'autoa');}
	else {@$aaopts['mp3_listen'] = $_POST['mp3_listen'];}
	//Video Header Text
	$videofill = get_option('video_watch');
	if ($videofill == '') {$error_video = __('Please Fill Video Header Text Area.', 'autoa');}
	else {@$aaopts['video_watch'] = $_POST['video_watch'];}
	//display it in that fancy fading div
	if($error_audio != '') {
		echo '<div id="message" class="error"><p><b>'.$error_audio.'</b></p></div>';
	}
	if($error_video != '') {
		echo '<div id="message" class="error"><p><b>'.$error_video.'</b></p></div>';
	}
//Checking Finish
//Define update  (mp3_listen and video watch defined above)
	@$aaopts['rarupload'] = $_POST['rarupload'];
	@$aaopts['showmp3info'] = $_POST['showmp3info'];
	@$aaopts['showvideoinfo'] = $_POST['showvideoinfo'];
	@$aaopts['galeri'] = $_POST['galeri'];
	@$aaopts['use_colorbox'] = $_POST['use_colorbox'];
	@$aaopts['thw'] = $_POST['thw'];
	@$aaopts['thh'] = $_POST['thh'];
	@$aaopts['page_ok'] = $_POST['page_ok'];
	update_option('OPTIONS', $aaopts);

//Start to write admin area
	?>
	<div class='wrap' style="width:65%">
	<div id="icon-plugins" class="icon32"></div><h2><?php _e('Auto Attachments Settings Page', 'autoa') ?> (<?php echo plugin_get_version(); ?>)</h2>
<!-- Right Widgets -->
<div id="dashboard-widgets-wrap" style="float:right;"><div id="dashboard_plugins" class="metabox-holder">
<div width="250px" id="dashboard" class="postbox"><div class="handlediv" id="button" title="Açmak/kapamak için tıklayın"><br></div><h3 class='hndle'><span><?php _e('Contributor', 'autoa') ?></span></h3><div class="inside">
<p style="padding:5px;"><img src="http://www.gravatar.com/avatar/d9e0fb92795db0ad96cf2b37bf0fc042.png" align="right" style="width:80px;height:80px;padding:2px;"><br /><strong>Serkan Algur</strong><ul style="padding:5px;"><li><a href="http://www.kaisercrazy.com" target="_blank"><?php _e('Personal Blog (Turkish)', 'autoa') ?></a></li><li><a href="http://www.wpfunc.com" target="_blank"><?php _e('WpFunC (functions share)', 'autoa') ?></a></li><li><a href="http://facebook.com/serkan.algur" target="_blank"><?php _e('Facebook', 'autoa')?></a></li><li><a href="http://twitter.com/kaisercrazy" class="twitter-follow-button">Follow @kaisercrazy</a>
<script src="http://platform.twitter.com/widgets.js" type="text/javascript"></script></li><li><a href="http://www.friendfeed.com/kaisercrazy" target="_blank"><?php _e('Friendfeed', 'autoa')?></a></li><li><a href="mailto:info@kaisercrazy.com"><?php _e('Email Me', 'autoa')?></a></li>
<li><strong><?php _e('Like & Share (WP Plugin Page)','autoa') ?></strong><br /><div id="fb-root"></div><script src="http://connect.facebook.net/en_US/all.js#appId=171571992901824&amp;xfbml=1"></script><fb:like href="http://wordpress.org/extend/plugins/auto-attachments/" send="false" layout="button_count" width="100" show_faces="false" font="segoe ui"></fb:like> <br /><a name="fb_share" type="button_count" share_url="http://wordpress.org/extend/plugins/auto-attachments/" href="http://www.facebook.com/sharer.php"><?php _e('Share', 'autoa') ?></a> <script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script></li></ul></p>
</div>

</div>
<div width="250px" id="dashboard" class="postbox">
<h3><?php _e('Preview', 'autoa') ?></h3>
<div class="inside"><br />
<div class='mp3info'><?php echo get_option('mp3_listen'); ?></div>
<div class='videoinfo'><?php echo get_option('video_watch'); ?></div>
<?php 
$blogg = get_bloginfo('url'); 
$urlp = $blogg."/wp-content/plugins/auto-attachments";
?>
<div><center><img class='colorbox-1' src="<?php echo $urlp ?>/thumb.php?src=<?php echo $urlp ?>/screenshot-4.png&h=<?php echo get_option('thh'); ?>>&w=<?php echo get_option('thw'); ?>&zc=1"/></center></div>
</div>
</div>
<style>
.videoinfo,.mp3info,.afileinfo{ width:250px;padding: 5px 0 5px 5px;line-height: 20px;font-size: 14px;margin: 0 0 10px 10px;text-align:justify;text-shadow: 1px 1px 1px #FFF;display:block;font-weight:bold;}
.mp3info{background: #f5f5f5;border: 1px solid #dadada;color: #666666;clear:both;}
.videoinfo{background: #FFFFCC;border: 1px solid #FFCC66;color: #996600;clear:both;}
</style>


</div></div>
<!-- Right Widgets -->
	<form method="post" action="options.php">
	<?php wp_nonce_field('update-options') ?>
<p><?php _e('You can now change <strong>Header Texts</strong> from here. You can localize to your language :)', 'autoa')?></p>
<p><?php _e('(<strong>*</strong>) <strong sytle="color:red">Highly Required</strong>', 'autoa')?></p>
	<p><strong><?php _e('Add Header Text for Mp3 Files:', 'autoa')?></strong><br />
	<input type="text" name="mp3_listen" size="45" value="<?php echo get_option('mp3_listen'); ?>" /><strong>*</strong></p>
	
	<p><strong><?php _e('Add Header Text for Video Files:', 'autoa')?></strong><br />
	<input type="text" name="video_watch" size="45" value="<?php echo get_option('video_watch'); ?>" /><strong>*</strong></p>
	<p><strong><?php _e('Show on Pages', 'autoa')?></strong></p>
	<span style="font-size: 10px;"><em><?php _e('If you select this checkbox attachments shown on pages. If not attachments shown only in posts', 'autoa') ?></em></span><br />
<input type="checkbox" name="page_ok" value="yes" <?php if (get_option('page_ok') == "yes") { echo "checked"; } else {}?> /> <?php _e('Yes', 'autoa') ?>
<?php if (get_option('page_ok') == "yes") { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('<strong>Enabled</strong>', 'autoa').'</em></span>'; } else { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('<strong>Disabled</strong>', 'autoa').'</em></span>';}?>
	<p><strong><?php _e('Allow Rar Upload', 'autoa')?></strong></p>
	<span style="font-size: 10px;"><em><?php _e('If you select this checkbox rar file upload will be enable. If not rar file upload will not be available', 'autoa') ?></em></span><br />
<input type="checkbox" name="rarupload" value="yes" <?php if (get_option('rarupload') == "yes") { echo "checked"; } else {}?> /> <?php _e('Yes', 'autoa') ?>
<?php if (get_option('rarupload') == "yes") { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('Rar File Upload <strong>Enabled</strong>', 'autoa').'</em></span>'; } else { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('Rar File Upload <strong>Disabled</strong>', 'autoa').'</em></span>';}?>

	<p><strong><?php _e('Show Video And Audio Headers?', 'autoa')?></strong></p>
	<span style="font-size: 10px;"><em><?php _e('If you select this checkboxes headers will be shown. If not headers will not be shown', 'autoa') ?></em></span><br />
	<input type="checkbox" name="showmp3info" value="yes" <?php if (get_option('showmp3info') == "yes") { echo "checked"; } else {}?> /> <?php _e('Yes', 'autoa')?>
	<?php if (get_option('showmp3info') == "yes") { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('Mp3 Info Header <strong>Enabled</strong>', 'autoa').'</em></span>'; } else { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('Mp3 Info Header <strong>Disabled</strong>', 'autoa').'</em></span>';}?><br/>
	<input type="checkbox" name="showvideoinfo" value="yes" <?php if (get_option('showvideoinfo') == "yes") { echo "checked"; } else {}?> /> <?php _e('Yes', 'autoa')?>
<?php if (get_option('showvideoinfo') == "yes") { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('Video Info Header <strong>Enabled</strong>', 'autoa').'</em></span>'; } else { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('Video Info Header <strong>Disabled</strong>', 'autoa').'</em></span>';}?><br/>
	<p><strong><?php _e('Show Gallery?', 'autoa')?></strong></p>
	<span style="font-size: 10px;text-align:justify;"><em><?php _e('You can use gallery for show your image attachments without any plugin or else :) Also if you use colorbox or any other gallery lihtbox plugin yopu can disable colorbox usage.', 'autoa')?></em></span><br />
	<input type="checkbox" name="galeri" value="yes" <?php if (get_option('galeri') == "yes") { echo "checked"; } else {}?> /> <?php _e('Yes', 'autoa')?>
<?php if (get_option('galeri') == "yes") { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('Gallery <strong>Enabled</strong>', 'autoa').'</em></span>'; } else { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('Gallery <strong>Disabled</strong>', 'autoa').'</em></span>';}?><br />
	<p><strong><?php _e('Use Colorbox?', 'autoa')?></strong></p>
	<input type="checkbox" name="use_colorbox" value="yes" <?php if (get_option('use_colorbox') == "yes") { echo "checked"; } else {}?> /> <?php _e('Yes', 'autoa')?>
<?php if (get_option('use_colorbox') == "yes") { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('Colorbox usage is <strong>Enabled</strong>', 'autoa').'</em></span>'; } else { echo '<span style="margin-left:7px;color:#ff0000;"><em>'.__('Colorbox usage is <strong>Disabled</strong>', 'autoa').'</em></span>';}?>
	<p><strong><?php _e('Gallery Thumb Size?', 'autoa')?></strong></p>
	<input type="text" name="thw" size="3" value="<?php echo get_option('thw'); ?>" />px <strong>(<?php _e('Width', 'autoa')?>)</strong><br />
	<input type="text" name="thh" size="3" value="<?php echo get_option('thh'); ?>" />px <strong>(<?php _e('Height', 'autoa')?>)</strong>

	<p><input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" class="button-primary" /></p>

	<input type="hidden" name="action" value="update" />
	<input type="hidden" name="page_options" value="mp3_listen,video_watch,rarupload,showmp3info,showvideoinfo,galeri,use_colorbox,thw,thh,page_ok" />

	</form>

</div>

	<?php
//Admin area finish
}
// Insert admin area with this code
add_action('admin_menu', 'aa_admin_page');


?>
